/***************************************************************************
 *   Copyright (C) 2007 by Tobias Schwarz   *
 *   mail@tobias-schwarz.net   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 *                                                                         *
 *   In addition, as a special exception, the copyright holders give       *
 *   permission to link the code of this program with any edition of       *
 *   the Qt library by Trolltech AS, Norway (or with modified versions     *
 *   of Qt that use the same license as Qt), and distribute linked         *
 *   combinations including the two.  You must obey the GNU General        *
 *   Public License in all respects for all of the code used other than    *
 *   Qt.  If you modify this file, you may extend this exception to        *
 *   your version of the file, but you are not obligated to do so.  If     *
 *   you do not wish to do so, delete this exception statement from        *
 *   your version.                                                         *
 ***************************************************************************/

#ifndef ASSOCIATED_QUALIFIERS_H
#define ASSOCIATED_QUALIFIERS_H

#include <QtGui>
#include "ui_sequence_associated_qualifiers.h"
#include "ui_outfile_associated_qualifiers.h"
#include "ui_outseq_associated_qualifiers.h"
#include "ui_outfeat_associated_qualifiers.h"
#include "ui_features_associated_qualifiers.h"
#include "ui_graph_associated_qualifiers.h"
#include "ui_alignment_associated_qualifiers.h"
#include "ui_add_configuration_parameter.h"
#include "programWindowClass.h"

class SAQForm : public QDialog, private Ui::SequenceAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   SAQForm(kprogramWindow *parent = 0, const QString num = "1");

private:
   kprogramWindow *parentProgramWindow;
   QString seqNumber;
   QStringList otherQualifiers;

private slots:
    void accept();
};

class OAQForm : public QDialog, private Ui::OutfileAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   OAQForm(kprogramWindow *parent = 0, const QString num = "2");

private:
   kprogramWindow *parentProgramWindow;
   QString seqNumber;
   QStringList otherQualifiers;

private slots:
    void accept();
};

class OsAQForm : public QDialog, private Ui::OutseqAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   OsAQForm(kprogramWindow *parent = 0, const QString num = "2");

private:
   kprogramWindow *parentProgramWindow;
   QString seqNumber;
   QStringList otherQualifiers;

private slots:
    void accept();
};

class OfAQForm : public QDialog, private Ui::OutfeatAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   OfAQForm(kprogramWindow *parent = 0, const QString num = "3");

private:
   kprogramWindow *parentProgramWindow;
   QString seqNumber;
   QStringList otherQualifiers;

private slots:
    void accept();
};

class FAQForm : public QDialog, private Ui::FeaturesAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   FAQForm(kprogramWindow *parent = 0, const QString num = "1");

private:
   kprogramWindow *parentProgramWindow;
   QString seqNumber;
   QStringList otherQualifiers;

private slots:
    void accept();
};

class GAQForm : public QDialog, private Ui::GraphAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   GAQForm(kprogramWindow *parent = 0, const QString num = "");
   QString seqNumber;
   QStringList otherQualifiers;

private:
   kprogramWindow *parentProgramWindow;

private slots:
    void accept();
};

class AAQForm : public QDialog, private Ui::AlignmentAssociatedQualifiersDialog
{
   Q_OBJECT

public:
   AAQForm(kprogramWindow *parent = 0, const QString num = "3");
   QString seqNumber;
   QStringList otherQualifiers;

private:
   kprogramWindow *parentProgramWindow;

private slots:
    void accept();
};

class ACPForm : public QDialog, private Ui::AddConfigurationParameterDialog
{
   Q_OBJECT

public:
   ACPForm(kprogramWindow *parent = 0);

private:
   kprogramWindow *parentProgramWindow;

private slots:
    void accept();
};

#endif
